# Class IOError
Input/Output error exception.

Defined in | <seqan/basic.h>
Signature | `typedef std::ios_base::failure IOError;`

## Member Function Overview

- `IOError::IOError(msg, errorCode);`
  Constructor

## Member Functions Detail

### `IOError::IOError(msg, errorCode);`

Constructor

#### Parameters

`msg` | Message as `std::string`.
`errorCode` | The error code as an `int`.

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @class IOError
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Input/Output error exception.
     *
     * @signature typedef std::ios_base::failure IOError;
     *
     * @fn IOError::IOError
     *
     * @brief Constructor
     *
     * @signature IOError::IOError(msg, errorCode);
     *
     * @param[in] msg Message as <tt>std::string</tt>.
     * @param[in] errorCode The error code as an <tt>int</tt>.
     */